%global momorel 3
%global srcname %{name}_%{version}-1

Summary: Utilities for managing filesystem extended attributes
Name: attr
Version: 2.4.43
Release: %{momorel}m%{?dist}
# Copyright: Copyright (C) 2000 Silicon Graphics, Inc.
License: GPLv2+
URL: http://oss.sgi.com/projects/xfs/
Group: System Environment/Base
Source0: ftp://oss.sgi.com/projects/xfs/cmd_tars/%{srcname}.tar.gz
NoSource: 0
Patch2: attr-2.2.0-multilib.patch
Patch3: attr-2.4.32-build.patch
Patch4: attr-2.4.43-leak.patch
BuildRequires: autoconf, libtool, gettext
Obsoletes: attr-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
A utility for manipulating extended attributes on filesystem
objects, compatible with the SGI IRIX tool of the same name.

%package -n libattr
Summary: Dynamic library for extended attribute support
Group: System Environment/Libraries
License: LGPLv2+
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

%description -n libattr
This package contains the libattr.so dynamic library which contains
the extended attribute system calls and library functions.

%package -n libattr-devel
Summary: Extended attribute static libraries and headers.
Group: Development/Libraries
License: LGPLv2+
Requires: %{name} = %{version}-%{release}

%description -n libattr-devel
attr-devel contains the libraries and header files needed to
develop programs which make use of extended attributes.  This
interface is compatible with the SGI IRIX extended attribute
interface, and makes use of an unofficial Linux system call.

Currently only XFS is supported, and the (experimental, unofficial)
system call interface is likely to change in the future.  However,
the API built above this system call is unlikely to change and is
used by programs such as xfsdump(8), xfsrestore(8) and xfs_fsr(8).

You should install attr-devel if you want to develop programs
which make use of extended attributes.  If you install attr-devel,
you'll also want to install attr.

# If .census exists, then no setup is necessary, just go and do the build,
# otherwise run setup
%prep
%setup -q
# We need to turn off executable permissions on the script in %doc
# because we don't want to drag perl into the base.  Users advanced
# enough to have used ACLs before they were added to the distro can
# figure out how to chmod and how to install perl.  :-)
%patch2 -p1 -b .multilib
%patch3 -p1 -b .build
%patch4 -p1 -b .leak

%build
touch .census
autoconf
# attr abuses libexecdir
%configure --libdir=/%{_lib} --libexecdir=%{_libdir}
make %{?_smp_mflags} LIBTOOL="libtool --tag=CC"

%install
rm -rf %{buildroot}

DIST_ROOT="%{buildroot}"
make install DESTDIR=$RPM_BUILD_ROOT
make install-dev DESTDIR=$RPM_BUILD_ROOT
make install-lib DESTDIR=$RPM_BUILD_ROOT

# get rid of libattr.la
rm -f $RPM_BUILD_ROOT/%{_libdir}/libattr.la

# fix links to shared libs and permissions
rm -f $RPM_BUILD_ROOT/%{_libdir}/libattr.so
ln -sf ../../%{_lib}/libattr.so $RPM_BUILD_ROOT/%{_libdir}/libattr.so
chmod 0755 $RPM_BUILD_ROOT/%{_lib}/libattr.so.*.*.*

# remove unwanting files and dirs.
rm -rf %{buildroot}%{_docdir}/attr

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root, 0755)
%doc README doc/CHANGES doc/COPYING doc/INSTALL
%{_mandir}/man1/*
%{_mandir}/man5/*
%{_bindir}/*
%{_datadir}/locale/*/*/attr.mo

%files -n libattr-devel
%defattr(-, root, root, 0755)
/%{_lib}/libattr.so
%{_includedir}/attr
%{_libdir}/*.a
%{_libdir}/*.so
%{_mandir}/man2/*
%{_mandir}/man3/*

%files -n libattr
/%{_lib}/libattr.so.*

%changelog
* Mon Aug 31 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.4.43-3m)
- fix memleak when exec cp -a (Patch4)
-- https://bugzilla.redhat.com/show_bug.cgi?id=485473

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.4.43-2m)
- rebuild against rpm-4.6

* Fri Jan  9 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.4.43-1m)
- update to 2.4.43
-- drop Patch1,10, not needed
- License: GPLv2+

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.4.41-2m)
- rebuild against gcc43

* Sat Feb 24 2008 Masanobu Sato <satoshiga@momonga-linux.org>
- (2.4.41-1m)
- update 2.4.41

* Tue Jan 22 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (2.4.39-1m)
- update 2.4.39

* Tue Mar 13 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.4.32-1m)
- separate libattr and libattr-devel

* Fri Dec 15 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.4.32-1m)
- update
- chmod 0755
- update Patch1: attr-2.4.32-shlibexe.patch

* Sun May 07 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.4.28-1m)
- update to 2.4.28

* Sun Dec 25 2005 Mitsuru Shimamura <smbd@momonga-linux.org>
- (2.4.20-3m)
- no NoSource

* Sat Nov 12 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.4.20-2m)
- get rid of *.la files, libtool doesn't handle well .a and .so.*
  in separates directories

* Thu May 19 2005 Kazuya Iwamoto <iwapi@momonga-linux.org>
- (2.4.20-1m)
- update to 2.4.20

* Fri Jan 14 2005 Toru Hoshina <t@momonga-linux.org>
- (2.4.19-2m)
- enable x86_64.
- libexec isn't appropriate.

* Wed Oct 27 2004 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.4.19-1m)
  update to 2.4.19

* Fri May 14 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (2.4.16-1m)
- upgrade

* Tue Mar 15 2004 Toru Hoshina <t@momonga-linux.org>
- (2.4.12-2m)
- revised spec for enabling rpm 4.2.

* Tue Nov 25 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (2.4.12-1m)
- update to 2.4.12

* Sun Oct 19 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (2.4.11-1m)
- update to 2.4.11

* Wed Oct  1 2003 zunda <zunda at freeshell.org>
- (2.2.0-3m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Tue Jun 17 2003 Kazuhiko <kazuhiko@fdiary.net>
- (2.2.0-2m)
- remove conflicts

* Thu Feb 13 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.2.0-1m)
  update to 2.2.0

* Tue Nov 26 2002 KOMATSU Shinichiro <koma2@jiro.c.u-tokyo.ac.jp>
- (2.1.1-1m)
- update to 2.1.1 ([Momonga-devel.ja:00833] thanks, nosanosa)
- add BuildPrereq: libtool
- add missing man pages
- add execute permissions to shlibs
- delete NoSource

* Tue Sep  3 2002 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.0.9-1m)
  update to 2.0.9

* Wed Jul  3 2002 Kazuhiko <kazuhiko@fdiary.net>
- (2.0.8-1m)

* Tue Apr 30 2002 Kenta MURATA <muraken@kondara.org>
- (2.0.7-6k)
- omit /sbin/ldconfig in PreReq.

* Sun Apr 28 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (2.0.7-4k)
- add %{_mandir}/man5/* to %files

* Sun Apr 28 2002 TABUCHI Takaaki <tab@kondara.org>
- (2.0.7-2k)
- update to 2.0.7

* Fri Apr 12 2002 MATSUDA, Daiki <dyky@dyky.org>
- (2.0.5-2k)
- update to 2.0.5

* Sun Mar 17 2002 Toru Hoshina <t@Kondara.org>
- (2.0.1-4k)
- include 'errno.h' !!!

* Sun Mar 17 2002 MATSUDA, Daiki <dyky@dyky.org>
- (2.0.1-2k)
- update to 2.0.1

* Thu Nov  8 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (1.1.3-4k)
- modify source URL

* Fri Sep 28 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (1.1.3-2k)
- First Kondarization
